apply plugin: 'com.android.application'

apply plugin: 'kotlin-android-extensions'

android {
    compileSdk 34
    defaultConfig {
        applicationId "it.danieleverducci.openweddingapp"
        minSdkVersion 21
        targetSdkVersion 34
        versionCode 13
        versionName "1.8"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    defaultConfig{
        vectorDrawables.useSupportLibrary = true
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    buildFeatures {
        viewBinding true
        buildConfig true
    }

    namespace 'it.danieleverducci.openweddingapp'
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'org.jetbrains.kotlin:kotlin-stdlib:2.3.0'
    implementation 'androidx.appcompat:appcompat:1.7.1'
    implementation 'androidx.core:core-ktx:1.0.2'
    implementation 'com.google.android.material:material:1.13.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.2.1'
    implementation 'androidx.navigation:navigation-fragment:2.9.7'
    implementation 'androidx.navigation:navigation-ui:2.9.7'
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
    implementation 'androidx.navigation:navigation-fragment-ktx:2.9.7'
    implementation 'androidx.navigation:navigation-ui-ktx:2.9.7'
    implementation 'androidx.swiperefreshlayout:swiperefreshlayout:1.1.0'
    implementation 'com.journeyapps:zxing-android-embedded:4.3.0@aar'
    implementation 'com.google.zxing:core:3.5.4'
    implementation 'androidx.preference:preference:1.2.1'
    implementation 'com.squareup.picasso:picasso:2.71828'
    implementation 'com.github.chrisbanes:PhotoView:2.3.0'
    implementation 'com.android.volley:volley:1.2.1'
    def work_version = "2.7.1"
    implementation "androidx.work:work-runtime-ktx:$work_version"

    // OSMDroid
    implementation 'org.osmdroid:osmdroid-android:6.1.20'

}
